[gtk+/gtk-2-22] Support NOCONFIGURE (from gnome-common)
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk+/gtk-2-22] Support NOCONFIGURE (from gnome-common)
- Date: Mon, 28 Jun 2010 21:45:54 +0000 (UTC)
commit d89ac0ba69963834ec0a7dc0072394b5486fa54e
Author: Colin Walters <walters verbum org>
Date: Mon Jun 28 17:16:44 2010 -0400
Support NOCONFIGURE (from gnome-common)
gnome-common's autogen.sh uses NOCONFIGURE to skip running configure.
Support that in addition to the current AUTOGEN_SUBDIR_MODE.
autogen.sh | 9 +++++++--
1 files changed, 7 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index ec767e5..adac2fe 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -76,7 +76,12 @@ test $TEST_TYPE $FILE || {
exit 1
}
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
+# NOCONFIGURE is used by gnome-common; support both
+if ! test -z "$AUTOGEN_SUBDIR_MODE"; then
+ NOCONFIGURE=1
+fi
+
+if test -z "$NOCONFIGURE"; then
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
echo "to pass any to it, please specify them on the $0 command line."
@@ -120,7 +125,7 @@ $AUTOMAKE --add-missing || exit $?
autoconf || exit $?
cd $ORIGDIR || exit $?
-if test -z "$AUTOGEN_SUBDIR_MODE"; then
+if test -z "$NOCONFIGURE"; then
$srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
echo
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]